Preview a column data transform without saving

Performs a one-time transformation on a single preview object using a custom prompt, without saving any configuration. Useful for testing prompts before creating a transform rule.

Path Parameters
  • entityId
    Type: integer
    required

    ID of Ai column data validation config

Body
required
application/json
  • preview
    Type: object
    required

    Sample record object to transform

  • prompt
    Type: string
    required

    AI prompt to test

Responses
  • 201

    Transformed data.

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/column-data-transform/{entityId}/preview
curl https://test.boost.space/api/column-data-transform/1/preview \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "prompt": "",
  "preview": {}
}'
No Body